updateEndorsementBlock();
function updateEndorsementBlock() {
  var $endorsementBlock = document.getElementById('resource-<%= resource.reload.id %>-endorsement-block');
  var $endorsementButton = document.getElementById('resource-<%= resource.id %>-endorsement-button');
  var $endorsementListGrid = document.getElementById('endorser-list-<%= resource.id %>');

  var $endorsersModal = document.getElementById('endorsersModal-<%= resource.id %>');

  if ($endorsersModal !== null) {
    $endorsersModal.remove();
  }

  $endorsementListGrid.outerHTML = '<%= j(cell("decidim/endorsers_list", resource)).strip.html_safe %>';

  $endorsementButton.outerHTML = '<%= j(cell("decidim/endorsement_buttons", resource).show).strip.html_safe %>';

  $endorsementListGrid = document.getElementById('endorser-list-<%= resource.id %>');

  document.dispatchEvent(new CustomEvent("ajax:loaded", { detail: $endorsementBlock }));
  document.dispatchEvent(new CustomEvent("ajax:loaded", { detail: $endorsementListGrid }));
}
